package labeling;

import java.io.IOException;
import java.io.PrintWriter;

import gurobi.GRBException;

/**
 * @author haunert
 * 
 * When using or adapting this code for your research, please cite:
 * 
 * Jan-Henrik Haunert and Alexander Wolff
 * Beyond Maximum Independent Set: An Extended Integer Programming Formulation for Point Labeling
 * International Journal of Geo-Information, 2017
 */
public class GeoInstanceMain {
    
    public static void main(String[] args) throws GRBException, IOException {
        
        LabelingAlgorithms.writer = new PrintWriter("summary.log", "UTF-8");
        
        LabelingAlgorithms.startLogging();
        LabelingAlgorithms.solveGeoInstance(0, true, "all-mollw.shp", 12);
        LabelingAlgorithms.writeSummaryStatistics();
        
        LabelingAlgorithms.writer.flush();
        LabelingAlgorithms.writer.close();
  
    }
}
