package rectangleSweep;

/**
 * @author haunert
 * 
 * When using or adapting this code for your research, please cite:
 * 
 * Jan-Henrik Haunert and Alexander Wolff
 * Beyond Maximum Independent Set: An Extended Integer Programming Formulation for Point Labeling
 * International Journal of Geo-Information, 2017
 */
public class RectangleWithInfo<E> extends Rectangle {
    private E info;
    
    private Event<E> beginOnStatus = null;
    private Event<E> endOnStatus = null;
    
    public RectangleWithInfo(double xMin, double yMin, double width, double height, String name, E info) {
        super(xMin, yMin, width, height, name);
        this.info = info;
    }
    public E getInfo() {
        return info;
    }
    
    public Event<E> getBeginOnStatus() {
        return beginOnStatus;
     }

     public void setBeginOnStatus(Event<E> beginOnStatus) {
        this.beginOnStatus = beginOnStatus;
     }

     public Event<E> getEndOnStatus() {
        return endOnStatus;
     }

     public void setEndOnStatus(Event<E> endOnStatus) {
        this.endOnStatus = endOnStatus;
     }
    
}
